Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 244419 - Crash when deleting last list item in selection callback of XmList widget [NEEDINFO]
Crash when deleting last list item in selection callback of XmList widget
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openmotif (Show other bugs)
4.3
i386 Linux
low Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 11:29 EDT by Markus Schöpflin
Modified: 2009-05-18 16:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:22:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pknirsch: needinfo? (twoerner)


Attachments (Terms of Use)
Sample program to reproduce the crash. (1.70 KB, text/plain)
2007-06-15 11:31 EDT, Markus Schöpflin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0993 normal SHIPPED_LIVE openmotif bug fix update 2009-05-18 09:56:30 EDT

  None (edit)
Description Markus Schöpflin 2007-06-15 11:29:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4

Description of problem:
Using the attached sample program (which is basically a copy of an example in the Motif programmer manual plus an event handler), the compiled binary crashes when clicking the last two list items in rapid succession. Using a debug version of libXm.so gives the following callstack:

Program received signal SIGSEGV, Segmentation fault.
0x002555f9 in DefaultAction (lw=0x892a200, event=0xbfed1430) at List.c:5582
5582      if (lw->list.InternalList[item]->length == UNKNOWN_LENGTH)
(gdb) where
#0  0x002555f9 in DefaultAction (lw=0x892a200, event=0xbfed1430) at List.c:5582
#1  0x00256628 in UnSelectElement (wid=0x892a200, event=0xbfed1430, params=0x89298e0, num_params=0xbfed0fc0) at List.c:4878
#2  0x0014a56e in XtCallActionProc () from /usr/X11R6/lib/libXt.so.6
#3  0x00259027 in ListProcessBtn1 (wid=0x892a200, event=0xbfed1430, params=0x89298e0, num_params=0x89298b8) at List.c:7202
#4  0x0015249c in _XtMatchAtom () from /usr/X11R6/lib/libXt.so.6
#5  0x00152a3d in _XtMatchAtom () from /usr/X11R6/lib/libXt.so.6
#6  0x001531b5 in _XtTranslateEvent () from /usr/X11R6/lib/libXt.so.6
#7  0x0012c627 in XtDispatchEventToWidget () from /usr/X11R6/lib/libXt.so.6
#8  0x0012ce8a in _XtOnGrabList () from /usr/X11R6/lib/libXt.so.6
#9  0x0012d0c9 in XtDispatchEvent () from /usr/X11R6/lib/libXt.so.6
#10 0x0012d5d1 in XtAppMainLoop () from /usr/X11R6/lib/libXt.so.6
#11 0x08048a2a in main ()
(gdb) l


Version-Release number of selected component (if applicable):
openmotif-2.2.3-10.RHEL4.1

How reproducible:
Sometimes


Steps to Reproduce:
1. Compile, link, and execute attached source file.
2. Click on the last item ('December') in the list. It is removed.
3. Very rapidly click on the now last item ('November') in the list.

Note that it is a little difficult to reproduce the crash, as the time between the two clicks must be somewhere in the milliseconds range. The time is possibly related to the double clock interval, but I can't say for sure.

Actual Results:
Program crash.

Expected Results:
List item should have been deleted.

Additional info:
Comment 1 Markus Schöpflin 2007-06-15 11:31:26 EDT
Created attachment 157122 [details]
Sample program to reproduce the crash.

To compile and link:

cc    -c -o simple_list.o simple_list.c
cc   simple_list.o  -L/usr/X11R6/lib -lX11 -lXm -o simple_list
Comment 3 RHEL Product and Program Management 2008-09-05 13:15:10 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Phil Knirsch 2008-09-23 12:20:02 EDT
Proposing for RHEL-4.8 and granting Devel ACK.

Thanks,

Read ya, Phil
Comment 9 errata-xmlrpc 2009-05-18 16:22:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0993.html

Note You need to log in before you can comment on or make changes to this bug.